Index: /code/branches/campaignHS15/data/levels/Campaign1.oxw
===================================================================
--- /code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10739)
+++ /code/branches/campaignHS15/data/levels/Campaign1.oxw	(revision 10740)
@@ -70,5 +70,4 @@
             <AddQuest questId="quest2.1" />
             <AddQuest questId="quest2.2" />
-            <AddQuest questId="quest2.3" />
         </complete-effects>
     </GlobalQuest>
@@ -83,7 +82,4 @@
             </GlobalQuest>
             <GlobalQuest id="quest2.2">
-                <QuestDescription title="Get some Pickups" description="" failMessage="" completeMessage="" />
-            </GlobalQuest>
-            <GlobalQuest id="quest2.3">
                 <QuestDescription title="Meet your Unit" description="" failMessage="" completeMessage="" />
             </GlobalQuest>
@@ -162,4 +158,7 @@
         _spawntrigger
         _reachedA
+        _dock<A|B|C>
+        _docked<A>      WIP; see below
+        -joinedUnit
         _wave<k>
         _killedEnemy<k>.<i>
@@ -175,10 +174,23 @@
     </EventMultiTrigger>
 
-    <DistanceTrigger name="reachedA" position="5000,-3000,0" distance=1500 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true />
-
-    <EventMultiTrigger name="wave1" activations="1" stayactive="true" >
+    <DistanceTrigger name="reachedA" position="5000,-3000,0" distance=1000 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true />
+
+    <!-- TODO: find out how to link an event to the COMPLETION of a dock. How is this not possible?? -->
+    <EventMultiTrigger name="dockedA" activations="1" stayactive="true" delay=2>
         <events>
             <trigger>
                 <EventListener event="dockA" />
+            </trigger>
+        </events>
+    </EventMultiTrigger>
+
+    <!-- TODO: fictive unit; to be added later -->
+    <DistanceTrigger name="joinedUnit" position="3500,-1500,0" distance=10 target="SpaceShip" beaconMode="exclude" targetname="NPC" stayactive=true />
+    <Billboard position="3500,-1500,0" amplitude=1 material="Flares/lensflare" colour="1,0,0.05" />     <!-- For debugging puropses -->
+
+    <EventMultiTrigger name="wave1" activations="1" stayactive="true" delay=4>
+        <events>
+            <trigger>
+                <EventListener event="joinedUnit" />
             </trigger>
         </events>
@@ -218,14 +230,15 @@
     <?lua end ?>
 
-    <!-- This trigger needs fixing, as endMission can only be called by a Pawn Distance Trigger. Herpaderp -->
-    <EventMultiTrigger name="missionFailed" target="Pawn" stayActive="true" delay=1.5>
-        <events>
-            <trigger>
-                <EventListener event="transporter" />
-            </trigger>
-        </events>
-    </EventMultiTrigger>
-
-    <Script code="Mission endMission fail" onLoad="false" times="1">
+    <!-- FIXME: This trigger needs fixing, as endMission can only be called by a Pawn Distance Trigger. Herpaderp.
+        Also, the fix proposed in MissionOne does not work anymore... -->
+   <EventMultiTrigger name="missionFailed" target="Pawn" stayActive="true" delay=1.5>
+       <events>
+           <trigger>
+               <EventListener event="transporter" />
+           </trigger>
+       </events>
+   </EventMultiTrigger>
+
+    <Script code="Mission endMission fail" onLoad="false">
         <events>
             <trigger>
@@ -265,5 +278,5 @@
         <events>
             <execute>
-                <EventListener event="dockA" />
+                <EventListener event="dockedA" />
             </execute>
         </events>
@@ -283,8 +296,72 @@
     <!--NOTIFICATIONS -->
 
-    <SimpleNotification broadcast="true" message="Welcome, Commander. Please report at Station A">
-        <events>
-            <trigger>
-                <EventListener event="spawntrigger" />
+    <SimpleNotification broadcast="true" message="Welcome, Commander. Please report at Station A.">
+        <events>
+            <trigger>
+                <EventTrigger stayactive="true" delay=4 >
+                   <events>
+                      <trigger>
+                         <EventListener event="spawntrigger" />
+                      </trigger>
+                   </events>
+                </EventTrigger>
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Our enemy is set to attack us very soon.">
+        <events>
+            <trigger>
+                <EventTrigger stayactive="true" delay=8 >
+                   <events>
+                      <trigger>
+                         <EventListener event="spawntrigger" />
+                      </trigger>
+                   </events>
+                </EventTrigger>
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Please study your mission briefing!">
+        <events>
+            <trigger>
+                <EventTrigger stayactive="true" delay=12 >
+                   <events>
+                      <trigger>
+                         <EventListener event="spawntrigger" />
+                      </trigger>
+                   </events>
+                </EventTrigger>
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Welcome to Station A, Commander.">
+        <events>
+            <trigger>
+                <EventListener event="reachedA" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="We've prepared a reinforced Ship for you.">
+        <events>
+            <trigger>
+                <EventTrigger stayactive="true" delay=4 >
+                   <events>
+                      <trigger>
+                         <EventListener event="reachedA" />
+                      </trigger>
+                   </events>
+                </EventTrigger>
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <SimpleNotification broadcast="true" message="Now join our defense Team.">
+        <events>
+            <trigger>
+                <EventListener event="dockedA" />
             </trigger>
         </events>
@@ -444,5 +521,5 @@
         template            = "spaceshipassff2"
         team                = "0"
-        position            = "7500,-5500,0"
+        position            = "4100,-2100,0"
         orientation         = "-0.14, 0.68, 0.68, 0.223"
         health              = "400"
@@ -455,13 +532,14 @@
         reloadrate          = "1"
         reloadwaittime      = "1"
-        name                = "cruiser"
-        radarname           = "Spacecruiser" >
+        name                = "newSpaceShip"
+        radarname           = "Defender" >
       <attached>
         <DockingTarget name="newSpaceShip" />
+        <DistanceTriggerBeacon name="newSpaceShip" />
       </attached>
     </SpaceShip>
 
     <!-- FPS Player as destination of dock C-->
-    <FpsPlayer template = "fps" radarname = "First Person Player" position = "0,-2300,1201">
+    <FpsPlayer team=0 template = "fps" radarname = "First Person Player" position = "0,-2300,1201">
         <attached>
             <DockingTarget name="fpsMode" />
@@ -486,11 +564,4 @@
         dofile("includes/asteroidField.lua")
         asteroidBelt(0,-2000, 0, 30, 0, 5, 20, 40, 500, 3300, 75, 0)
-    ?>
-
-    <?lua
-    --[[
-        dofile("includes/fog.lua")
-       fogField(0,0,500,150,20)
-       ]]--
     ?>
 
@@ -536,4 +607,8 @@
     <?lua end ?>
     <?lua end ?>
+
+    <Formation>
+
+    </Formation>
 
     <!-- Transporter, starting Point is near A, end Point near B, the circle parameters for the waypoints are: Center = (0, -887, 0), r = 2613 -->
